<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number116</title>
</head>

<body>
			<h2> JavaScript Excercise </h2>
	
	<p> <b> No.119:</b> Write a JavaScript program to check if a given integer has an increasing digits sequence. </p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 450px; height: auto;">
			  <input type="number" id="num" placeholder="Write Something" style="width: 240px ;margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Tap Here To Generate Matrix" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>		
	<script>
	  function generate(){
		  var num = + document.getElementById('num').value;
		  var spl = ("" + num).split("");
		  	  spl.map(Number);
		  for ( i = 0 ; i < spl.length ; i++ ) {
			  if (parseInt(spl[i+1]) >= parseInt(spl[i])){
				  document.getElementById('demo').innerHTML=
					  true
			  } else {
				  document.getElementById('demo').innerHTML=
					  false
			  }
		  }
	  }
	</script>
</body>
</html>
